## Delete price by ID

### cURL

```bash
curl --request DELETE \
  --url https://prod01-apigw.yourcompany.fabric.zone/api-price/price/{priceId} \
  --header 'Authorization: Bearer <token>' \
  --header 'x-site-context: <x-site-context>'
```

### Python

```python
import requests

url = "https://prod01-apigw.yourcompany.fabric.zone/api-price/price/{priceId}"

headers = {
    "x-site-context": "<x-site-context>",
    "Authorization": "Bearer <token>"
}

response = requests.delete(url, headers=headers)

print(response.text)
```

### JavaScript (Fetch)

```javascript
const options = {
  method: 'DELETE',
  headers: {'x-site-context': '<x-site-context>', Authorization: 'Bearer <token>'}
};

fetch('https://prod01-apigw.yourcompany.fabric.zone/api-price/price/{priceId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```php
$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://prod01-apigw.yourcompany.fabric.zone/api-price/price/{priceId}",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "DELETE",
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>",
    "x-site-context: <x-site-context>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

### Go

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

url := "https://prod01-apigw.yourcompany.fabric.zone/api-price/price/{priceId}"

req, _ := http.NewRequest("DELETE", url, nil)

req.Header.Add("x-site-context", "<x-site-context>")
	req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

### Unirest (Java)

```java
HttpResponse<String> response = Unirest.delete("https://prod01-apigw.yourcompany.fabric.zone/api-price/price/{priceId}")
  .header("x-site-context", "<x-site-context>")
  .header("Authorization", "Bearer <token>")
  .asString();
```

### Ruby

```ruby
require 'uri'
require 'net/http'

url = URI("https://prod01-apigw.yourcompany.fabric.zone/api-price/price/{priceId}")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Delete.new(url)
request["x-site-context"] = '<x-site-context>'
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

### Responses

- **200**: Returns the deleted price
- **400**: 
  ```json
  {
    "code": 400,
    "message": "SKU cannot be empty"
  }
  ```

- **500**: 
  ```json
  {
    "code": 500,
    "message": "An internal error occurred. If the issue persists please contact support@fabric.inc."
  }
  ```

### Response Structure

```json
{
  "_id": "616e011037a3810008cfb256",
  "priceListId": 100000,
  "isSoftDeleted": true,
  "itemId": 1000011218,
  "itemSku": "1234XYZ",
  "offerId": 371922,
  "offers": [
    {
      "kind": 12,
      "channel": 12,
      "startDate": "2021-12-30T02:05:00.000Z",
      "endDate": "2099-12-31T00:00:00.000Z",
      "price": {
        "base": 2000,
        "sale": 1000,
        "cost": 800,
        "currency": "USD"
      }
    }
  ],
  "createdAt": "2021-10-18T23:19:44.852Z",
  "updatedAt": "2021-10-19T00:40:30.341Z",
  "job": true
}
```
